Subject: PIM-SM: (*,G) oif list equal to (*,*,RP) oiflist.

From: muthireddy ramakoteswararao <[email-masked]>
Date: Sat, 12 May 2001 00:39:34 -0700 (PDT)

Hi,
 I am implementing the PIM-SM version2. In the RFC
2362 , section 3.2.2 1.d, says that we have to remove
the (si,G)RPT entry if it's oif list is same as the
(*,G)'s oif list.
  I feel the same is applicable to (*,G) and (*,*,RP)
case. Because if the Oif list are those came from
(*,*,RP), why do we need to maintain a special (*,G)
state for this.
  
  I couldn't able to locate this in the RFC. I would
like to know, if the above deletion is not required,
how the refreshment of (*,g)'s are taken care by other
means, when there is (*,*,RP) entry.

Thanks,
-Ramko.

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - buy the things you want at great prices
http://auctions.yahoo.com/

---

From: Bill Fenner <[email-masked]>
Date: Sat, 12 May 2001 10:27:52 -0700

The new PIM spec, draft-ietf-pim-sm-v2-new-02.{txt,ps} keeps all the
relevant state seperately, and combines it when deciding how to forward
a packet.  This makes questions like this much easier to answer, since
you don't do things to (*,G) or (*,*,RP) state on receipt of a (S,G,rpt)
message.  I'd suggest looking at the relevant sections of this spec
and see if it becomes more clear.

  Bill

---

From: muthireddy ramakoteswararao <[email-masked]>
Date: Sat, 12 May 2001 11:00:30 -0700 (PDT)

Hi,
 Thanks for your update. Is there any documnet that
mentions that mentions the changes from RFC to this
draft, as we are amid of implementation. One more
thing, is the case i mentioned is a valid one which is
taken care in draft or it is not a valid case.

Thanks in advance,
-Ramko. 
--- Selina Priestley <[email-masked]> wrote:
> Hi there,
> 
> Most everyone is implementing based on the current
> PIM drafts rather than the RFC, which is seriously
> outdated.  Check out the PIM-SM draft at 
> 
> http://www.ietf.org/ids.by.wg/pim.html
> 
> Good luck!
> 
> Selina
> 
> >Hi,

---

From: Bill Fenner <[email-masked]>
Date: Sun, 13 May 2001 10:13:29 -0700

>is the case i mentioned is a valid one which is

It's hard to refer to RFC 2362, especially section 3.2.2, since it
has two section 1's (one for joins, one for prunes).  In addition,
you referred to 3.2.2 1.d, and there are no lettered sections.
So, I can guess that you're talking about 3.2.2/Sj in join list/1/4 :

           4 If the (Si,G) entry has its RPT-bit flag set to 1, and
             its oif list is the same as the (*,G) oif list, then the
             (Si,G)RPT-bit entry is deleted,

If there's no (*,G) entry, then I think you're right that (*,*,RP)
applies here too.

As I said, this kind of problem does not arise with the new spec because
it keeps state seperately (e.g. in this case the (S,G,RPT) join state
would simply go away, and so the inherited_olist(S,G,RPT) macro would
automatically inherit from the (*,G) and/or (*,*,RP(G)) as appropriate).

  Bill